ru.bitel.oss.systems.inventory.product.common.event

## Class ProductModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.oss.systems.inventory.product.common.event.ProductModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProductModifiedEvent
      extends Event

  Внутри продукта всегда полный список сервисов
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProductModifiedEvent()`
    `` | `ProductModifiedEvent(int moduleId, int contractId, int userId, Product oldProduct, Product newProduct)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Product` | `getNewProduct()`
    `Product` | `getOldProduct()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductModifiedEvent

          protected ProductModifiedEvent()

    - #### ProductModifiedEvent

          public ProductModifiedEvent(int moduleId,
                                      int contractId,
                                      int userId,
                                      Product oldProduct,
                                      Product newProduct)

  - ### Method Detail

    - #### getOldProduct

          public Product getOldProduct()

    - #### getNewProduct

          public Product getNewProduct()